It would be interesting to recover a project although an element is corrupted, informing to the use about it with a message to take it
into account.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4211: When a project is ... Invalid 05/05/2016

History
#1 - 03/14/2016 05:42 AM - Andrea Antonello

I second this issue. 
When gvSIG is unable to open a project, it simply doesn't open it and the project manager disappears.
Also, in the statusbar a message containing the Exception is shown.

It would be good to have a message for users. Maybe a dialog would be better.

Recovering partially a project would be gold.

#2 - 03/21/2016 04:58 PM - Mario Carrera
- Severity changed from Minor to Major

This is a critical situation too:

When we open a project and gvSIG doesn't find a layer (when the file has been removed from the folder for example), if we open it ignoring the path of
that file, the layer is loaded at the view but empty. That's good until that moment.

Important: The problem is when the user saves that project. It shows an error in the bottom part. And when the user tries to open it again it's not
opened.

#3 - 05/05/2016 05:19 PM - Mario Carrera
- Related to gvSIG bugs #4211: When a project is saved without 3D views, it sometimes saves 3D elements   added

#4 - 06/16/2016 10:15 AM - Álvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests
#5 - 06/12/2017 02:21 PM - Álvaro Anguix
- Target version set to 2.4.0-2822 (rev. org.gvsig.desktop-2.0.188) 
- Status changed from New to Closed

Fixed in gvSIG 2.4
